Error: Unknown Puppet subcommand 'module'

Asked by Ben Lau on 2012-11-03

Hi,

I am learning puppet and know that there has a "module" command to install puppet from Puppet Forge. However, when I tried this command on 12.04 with puppet (2.7.11-1ubuntu) :

# puppet module
Error: Unknown Puppet subcommand 'module'
See 'puppet help' for help on available puppet subcommands

Did I missed any Ubuntu package ? Or it is disabled in Ubuntu package?

Thanks for any advise.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu puppet Edit question
Assignee:
No assignee Edit question
Solved by:
Ben Lau
Solved:
Last query:
Last reply:
Ben Lau (benlau) said : #2

Thanks for reply. And I just found the solution:

gem install puppet-module